WordPress.org

Ready to get started?Download WordPress

Forums

WordPress 2.7 VERY slow backend (15 posts)

  1. m3s_4ev3r
    Member
    Posted 5 years ago #

    Hello, I have many installations of wordpress 2.7 on different domains and hostings and with or without plugins my backend is moving really slow.

    Let's take of example deusxmachina.org. The front end is moving really fine. I thought that it was my computers fault or my hosting, I tried a different computer and a different hosting, but nothing happened.
    I am using:
    mozilla 3.0.5, 1920x1080 resolution on ATI Radeon X1650XT, 2GB DDRAM2, dual core CPU.
    I have around 30posts so far with the ColorPaper Theme.
    Wordpress 2.7 with the following plugins:

    All in One SEO Pack
    Evermore
    Global Translator
    Google Analytics for WordPress
    Google XML Sitemaps
    NextGEN Gallery
    Post Template
    Quotes Collection
    WP-Cumulus
    WP-DBManager
    WP-UserOnline

    I searched the forums but I didn't find anything similar. Only a different version and the slowness was caused by a plugin.

    Does anyone has nay idea?
    Thanks a lot, Arthur.

  2. Lester Chan
    Member
    Posted 5 years ago #

    It has nothing to do with your computer. It has something to do with the server you are hosting and what type of connection are you and your server using.

  3. guischarf
    Member
    Posted 5 years ago #

    Hello,

    We have a very similar problem. After upgrading to 7.1, using the wordpress back end for a long time, in any of our computers, starts to severely slow them down. Closing the browser speeds them up again. This never happened with our previous version: 2.6.

    We have a team of four redactors and all of them have the same complain. Could there be a memory leak due to the massive use of javascript which slowly consumes the workstation RAM ?

  4. guischarf
    Member
    Posted 5 years ago #

    Errata

    Sorry, in my previous post I meant 2.7.1 NO 7.1

  5. gazouteast
    Member
    Posted 5 years ago #

    I have been reporting this same issue for months and no-one listened. I even had extended email correspondence with one of the developers and they basically blamed my connection for responding slowly to the Java calls.

    This started with WP 2.5 and the roll off the old html back end onto the over-Java'd back-end. It got worse in 2.6.x and has become impossible in 2.7.x

    I have basically stopped upgrading past 2.6.5 because the admin-side speed difference is completely unacceptable.

    2.6.5 is usable (apart from the image manager) but 2.7.x is like trying to play Doom2 on a 3600baud modem.

    The developers refuse to believe there is anything wrong with their product and have completely erased any thought regarding those of us using older computers - they seem to think everyone can afford the latest Xeon multi-core, multi-CPU computers with dedicated fibre-optic leased line connections.

    I am currently investigating alternatives to WordPress because I fear it has killed itself with the over-reliance on Java and the lack of caffeine in the code.

    Gaz

  6. dooling
    Member
    Posted 5 years ago #

    You can fix this by installing the nightly build (at least that's true as of today's date 4/4/2009.

    Here are some links that seem to explain the problem.

    http://core.trac.wordpress.org/ticket/8590

    Short of upgrading, this will allow you to at least access your admin panel, if you can get in there long enough to install the plugin.

    http://blog.clearskys.net/2009/03/08/how-to-remove-remote-calls-in-wordpress-mu/

    Many aimless threads on this topic, but not many answers.

    As I say, the thing that really fixes it, at least for me, using 2.7.1 on a server that is IIS is to install the nightly build. I'm sure 2.7.2 will be out soon and fix it.

    RD

  7. guischarf
    Member
    Posted 5 years ago #

    Hello,

    Our problem is NEITHER SERVER RELATED nor has it anything to do with single or multi core CPUs. After using WP 2.7.1 back end continuously for a long time (an hour or so), our desktops, not the server, begin to slow down. Using other programs such as MS Word or Excel when the computer feels slow is equally slow. Closing the browser and opening it again fixes the problem. We have the feeling it is a memory leak related to jquery closures.

    Is there any tool we could use to test for memory leaks on Firefox and IE ?

    Thanks.

  8. dooling
    Member
    Posted 5 years ago #

    Yep, mine was not server-related either. It's something to do with WordPress phoning home to various sites.

    Try the nightly build. It fixes everything:

    http://wordpress.org/download/nightly/

    RD

  9. v9designbuild
    Member
    Posted 5 years ago #

    I must admit to being very nervous about overwriting the existing version. It has worked exteremly well for me over the past 4 years and it would be disastrous, given the slow speeds in Thailand to risk the change-over. Web design here in Bangkok is very frustrating because of the appalingly slow access speeds.

  10. gazouteast
    Member
    Posted 4 years ago #

    Waves to v9 - appreciate another Thai-based user confirming what I've said in other threads about the appalling connection speeds here.

    However, this issue is not the ISP's fault (though they do contribute heavily to it) - it is most definitely a WordPress problem - we don't get it with other scripts that we use on our sites - only with WordPress and only in the admin side - on all hosts we use, on all continents.

  11. whooami
    Member
    Posted 4 years ago #

    we don't get it with other scripts that we use on our sites - only with WordPress and only in the admin side - on all hosts we use, on all continents.

    exaggerate much? ffs. I guess that would mean that everyone on planet earth is experiencing the same thing you are then, right? Based on the above?

    I have basically stopped upgrading past 2.6.5 because the admin-side speed difference is completely unacceptable.

    I thought you said, in another thread, that you stopped upgrading due to plugins?

    Like so:

    I have several blogs which CANNOT be upgraded to 2.7.1 because of core site functionality derived from plugins that have not been, and will not be, upgraded for 2.7.x and beyond.

    I dont mean to be overtly confrontational with you, but you seem pretty intent on complaining about wordpress, and youre more than a little inconsistent in how you want to go about it.

  12. gazouteast
    Member
    Posted 4 years ago #

    Whooami - I now believe you are that arrogant schmuck known as Richard Ambrose - if not then you must have been cloned from the same cell in the same test tube.

    Since when did you become the registrar and domain keeper of all my websites?

    Note what you quoted -

    "I have several blogs that cannot ...."
    - since when does "several" mean "absolutely everything"?

    "I have basically stopped upgrading past 2.6.5 because ...."
    - and as you know from your trolling of my other posts - I do have a number of blogs running 2.7.1 - hence participation in this thread.

    " ... on all hosts we use, on all continents ... "
    - oh dear - should I have qualified that with the trailing clause " ... that we use"? Is English not your first language then? Are you unable to identify the implied conditional addition to that sentence?

    STOP BEING SUCH A NITPICKING TROLL AND FOCUS ON THE TECHNICAL ISSUE(S) REPORTED IN THE POSTS !!!!!!

  13. Boris
    Member
    Posted 4 years ago #

    gazouteast, you might wanna slow it down a bit. the only person being a NITPICKING TROLL at the moment is you. Nobody's gonna want to help ya after that post...

  14. whooami
    Member
    Posted 4 years ago #

    Since when did you become the registrar and domain keeper of all my websites?

    i assure you, no-one here really gives a "crap" about your web sites, unless of course, they happen to share a server with your older installs, in which case, they ought to be moving obviously.

    Re: Richard Ambrose.. Im guessing he's someone else that gave you an answer you didnt like too. Good for him, whoever he is.

  15. esmi
    Theme Diva & Forum Moderator
    Posted 4 years ago #

    Firefox has a known memory leak problem. And has had for some time.

Topic Closed

This topic has been closed to new replies.

About this Topic